<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }

$options = array(
    'sweetmielo_customizer' => array(
        'title' => esc_html__('Sweetmielo settings', 'sweetmielo'),
        'position' => 1,
        'options' => array(

            'main_color' => array(
                'type' => 'color-picker',
                'value' => '#EB6D2F',
                'label' => esc_html__('Main Color', 'sweetmielo'),
            ),
            'second_color' => array(
                'type' => 'color-picker',
                'value' => '#FFD832',
                'label' => esc_html__('Secondary Color', 'sweetmielo'),
            ),       
            'gray_color' => array(
                'type' => 'color-picker',
                'value' => '#F8F7F1',
                'label' => esc_html__('Gray Color', 'sweetmielo'),
            ),
            'white_color' => array(
                'type' => 'color-picker',
                'value' => '#ffffff',
                'label' => esc_html__('White Color', 'sweetmielo'),
            ),

            'black_color' => array(
                'type' => 'color-picker',
                'value' => '#5A3733',
                'label' => esc_html__('Black Color', 'sweetmielo'),
            ),      
            'nav_opacity' => array(
                'type'  => 'slider',
                'value' => 0,
                'properties' => array(
                    'min' => 0,
                    'max' => 1,
                    'step' => 0.05,
                ),
                'label' => esc_html__('Navbar Opacity (0 - 1)', 'sweetmielo'),
            ), 
            'nav_opacity_scroll' => array(
                'type'  => 'slider',
                'value' => 0.95,
                'properties' => array(
                    'min' => 0,
                    'max' => 1,
                    'step' => 0.05,
                ),
                'label' => esc_html__('Navbar Sticked Opacity (0 - 1)', 'sweetmielo'),
            ),
            'logo_height' => array(
                'type'  => 'slider',
                'value' => 75,
                'properties' => array(

                    'min' => 30,
                    'max' => 90,
                    'step' => 1,

                ),
                'label' => esc_html__('Logo Max Height, px', 'sweetmielo'),
            ),        
        ),
    ),
);
