<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * TGM Plugin Activation
 */

require_once get_template_directory() . '/tgm-plugin-activation/class-tgm-plugin-activation.php';

if ( !function_exists('sweetmielo_action_theme_register_required_plugins') ) {

	function sweetmielo_action_theme_register_required_plugins() {

		$config = array(

			'id'           => 'sweetmielo',
			'menu'         => 'sweetmielo-install-plugins',
			'parent_slug'  => 'themes.php',
			'capability'   => 'edit_theme_options',
			'has_notices'  => true,
			'dismissable'  => true,
			'is_automatic' => false,
		);

		tgmpa( array(

			array(
				'name'      => esc_html__('Unyson', 'sweetmielo'),
				'slug'      => 'unyson',
				'required'  => true,
			),
			array(
				'name'      => esc_html__('LT Extension', 'sweetmielo'),
				'slug'      => 'lt-ext',
				'source'   	=> get_template_directory() . '/inc/plugins/lt-ext.zip',
				'version'   => '2.0.2',
				'required'  => true,
			),
			array(
				'name'      => esc_html__('WPBakery Page Builder', 'sweetmielo'),
				'slug'      => 'js_composer',
				'source'   	=> 'http://updates.like-themes.com/plugins/js_composer.zip',
				'required'  => true,
			),		
			array(
				'name'      => esc_html__('Envato Market', 'sweetmielo'),
				'slug'      => 'envato-market',
				'source'   	=> get_template_directory() . '/inc/plugins/envato-market.zip',
				'required'  => false,
			),													
			array(
				'name'      => esc_html__('Breadcrumb-navxt', 'sweetmielo'),
				'slug'      => 'breadcrumb-navxt',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('Contact Form 7', 'sweetmielo'),
				'slug'      => 'contact-form-7',
				'required'  => true,
			),
			array(
				'name'      => esc_html__('The Events Calendar', 'sweetmielo'),
				'slug'      => 'the-events-calendar',
				'required'  => false,
			),			
			array(
				'name'      => esc_html__('WP Instagram Widget', 'sweetmielo'),
				'slug'      => 'wp-instagram-widget',
				'required'  => false,
			),	
			array(
				'name'      => esc_html__('Post-views-counter', 'sweetmielo'),
				'slug'      => 'post-views-counter',
				'required'  => false,
			),
			array(
				'name'       => esc_html__('MailChimp for WordPress', 'sweetmielo'),
				'slug'       => 'mailchimp-for-wp',
				'required'   => false,
			),		
			array(
				'name'       => esc_html__('WooCommerce', 'sweetmielo'),
				'slug'       => 'woocommerce',
				'required'   => false,
			),
			array(
				'name'      => esc_html__('Simple Share Buttons Adder', 'sweetmielo'),
				'slug'      => 'simple-share-buttons-adder',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('User Profile Picture', 'sweetmielo'),
				'slug'      => 'metronet-profile-picture',
				'required'  => false,
			),								
		), $config);
	}
}
add_action( 'tgmpa_register', 'sweetmielo_action_theme_register_required_plugins' );
