<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * Including google fonts
 */

$sweetmielo_font_main = fw_get_db_settings_option( 'font-text' );
$sweetmielo_font_headers = fw_get_db_settings_option( 'font-headers' );

$sweetmielo_font_main_weights = fw_get_db_settings_option( 'font-text-weights' );
$sweetmielo_font_headers_weights = fw_get_db_settings_option( 'font-headers-weights' );

$sweetmielo_font_main['variation'] = str_replace('regular', '400', $sweetmielo_font_main['variation']);
$sweetmielo_font_headers['variation'] = str_replace('regular', '400', $sweetmielo_font_headers['variation']);

$sweetmielo_google_fonts = array();
$sweetmielo_google_fonts[$sweetmielo_font_main['family']][$sweetmielo_font_main['variation']] = true;
$sweetmielo_google_fonts[$sweetmielo_font_headers['family']][$sweetmielo_font_headers['variation']] = true;

if ( !empty($sweetmielo_font_main_weights) ) {

	$sweetmielo_items = explode(',', $sweetmielo_font_main_weights);
	foreach ( $sweetmielo_items as $item) $sweetmielo_google_fonts[$sweetmielo_font_main['family']][$item] = true;
}

if ( !empty($sweetmielo_font_headers_weights) ) {

	$sweetmielo_items = explode(',', $sweetmielo_font_headers_weights);
	foreach ( $sweetmielo_items as $item) $sweetmielo_google_fonts[$sweetmielo_font_headers['family']][$item] = true;
}

$sweetmielo_google_subsets[$sweetmielo_font_main['subset']] = true;
$sweetmielo_google_subsets[$sweetmielo_font_headers['subset']] = true;

$css['font_main'] = esc_attr($sweetmielo_font_main['family']);
$css['font_headers'] = esc_attr($sweetmielo_font_headers['family']);

$family = $subset = '';
foreach ( $sweetmielo_google_fonts as $font => $styles ) {

	if ( !empty($family) ) $family .= "%7C";
    $family .= str_replace( ' ', '+', $font ) . ':' . implode( ',', array_keys($styles) );
}

$family .= '%7CAlex+Brush';

foreach ( $sweetmielo_google_subsets as $subset_ => $val ) {

	if ( !empty($subset) ) $subset .= ",";
    if ( !empty($subset_) ) $subset .= $subset_;
}

$query_args = array( 'family' => $family, 'subset' => $subset );
wp_enqueue_style( 'sweetmielo_google_fonts', esc_url( add_query_arg( $query_args, '//fonts.googleapis.com/css' ) ), array(), null );


