<?php
/**
	Testimonials Single Item
 */

if ( function_exists( 'FW' ) ) {

	$subheader = fw_get_db_post_option(get_The_ID(), 'subheader');
	$rate = fw_get_db_post_option(get_The_ID(), 'rate');	
}

?>
<div class="col-lg-6">
	<article class="inner matchHeight">
		<div class="top">
			<div class="image">						
				<?php the_post_thumbnail('sweetmielo-client'); ?>
			</div>
			<div class="author">
			<?php
				if ( !empty($rate) ) {

					echo '<div class="rate">';
					for ($x = 1; $x<= (int)($rate); $x++) {

						echo '<span class="fa fa-star"></span>';
					}
					echo '</div>';
				}
			?>
				<div class="name font-headers color-black"><?php the_title(); ?></div>
				<?php if (!empty($subheader)) { echo '<div class="subheader color-main font-main">'. wp_kses_post($subheader) .'</div>'; } ?>
			</div>
		</div>
		<div class="clearfix"></div>
		<div class="text"><?php the_content() ?></div>	
	</article>
</div>
