<?php
/**
 * Video Post Format
 */

$post_class = '';

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( esc_attr($post_class) ); ?>>	
	<?php
	if ( has_post_thumbnail() ) {

		$sweetmielo_photo_class = 'photo swipebox';

		echo '<div class="ltx-wrapper">';
		    echo '<a href="'.esc_url(sweetmielo_find_http(get_the_content())).'" class="'.esc_attr($sweetmielo_photo_class).'">';

			    the_post_thumbnail('sweetmielo-blog');
			    echo '<span></span>';

		    echo '</a>';
		echo '</div>';
	}
		else {

		if ( !empty(wp_oembed_get(sweetmielo_find_http(get_the_content()))) ) {

			echo '<div class="ltx-wrapper">';
				echo wp_oembed_get(sweetmielo_find_http(get_the_content()));	
			echo '</div>';
		}
	}

	?>
    <div class="description">
		<div class="blog-info top">
			<?php
           		sweetmielo_get_the_post_headline();
			?>	
	    </div>    
	    <a href="<?php esc_url( the_permalink() ); ?>" class="header"><h4><?php the_title(); ?></h4></a>
		<div class="blog-info">
			<?php
           		sweetmielo_the_post_info();
			?>	
	    </div>
	    <div class="clearfix"></div>	    
    </div>   	
</article>