<?php
/**
 * Full blog post
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
		if ( has_post_thumbnail() ) {

			echo '<div class="image">';
				
				the_post_thumbnail( 'sweetmielo-post' );

			echo '</div>';
		}
	?>
    <div class="blog-info blog-info-post-top">
		<?php
            echo '<div class="blog-info-left">';

				echo '<span class="ltx-date"><span class="fa-calendar fa"></span> <span class="dt">'.get_the_date().'</span></span>';
				echo '<span class="i">/</span>';
				sweetmielo_get_the_cats_archive();
		    
            echo '</div>';

            sweetmielo_the_post_info();
        ?>
    </div>
    <div class="description">
        <div class="text text-page">
			<?php
				the_content();
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'sweetmielo' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
				) );
			?>
        </div>
    </div>	    
    <div class="clearfix"></div>
    <div class="blog-info-post-bottom">
		<?php
			if (has_tag() OR sweetmielo_plugin_is_active( 'simple-share-buttons-adder' )) {

				echo '<div class="tags-line">';

					if ( in_array( 'category', get_object_taxonomies( get_post_type() ) ) && sweetmielo_categorized_blog() && sizeof(get_the_category()) > 2) {

						echo '<div class="cats-many">';
							echo '<span class="header">' . esc_html__( 'Categories:', 'sweetmielo' ) . '</span>';
							echo get_the_category_list( esc_html_x( ' / ', 'Used between list items, there is a space after the comma.', 'sweetmielo' ) );
						echo '</div>';
					}

					if ( has_tag() ) {

						echo '<span class="tags">';
							echo '<span class="header">' . esc_html__( 'Tags:', 'sweetmielo' ) . '</span>';
							the_tags( '<span class="tags-short">', '', '</span>' );
						echo '</span>';
					}

					if ( sweetmielo_plugin_is_active( 'simple-share-buttons-adder' ) ) {

						echo do_shortcode( '[ssba-buttons]' );
					}					

				echo '</div>';
			}
		?>	
    </div>	
    <?php 
		sweetmielo_author_bio();

		sweetmielo_related_posts(get_the_ID());
    ?>
</article>
