<?php
/**
 * Audio Post Format
 */

$post_class = '';

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( esc_attr($post_class) ); ?>>
	<div class="ltx-wrapper">
		<?php

		if ( has_post_thumbnail() ) {

			$sweetmielo_photo_class = 'photo';

		    echo '<a href="'.esc_url(get_the_permalink()).'" class="'.esc_attr($sweetmielo_photo_class).'">';

			    the_post_thumbnail('sweetmielo-blog');

		    echo '</a>';
		}

		$mp3 = sweetmielo_find_http(get_the_content());

		echo wp_audio_shortcode(
			array('src'	=>	esc_url($mp3))
		);

		?>
	</div>
    <div class="description">
		<div class="blog-info top">
			<?php
           		sweetmielo_get_the_post_headline();
			?>	
	    </div>    
        <a href="<?php esc_url( the_permalink() ); ?>" class="header"><h4><?php the_title(); ?></h4></a> 
		<div class="blog-info">
			<?php
           		sweetmielo_the_post_info();
			?>	
	    </div>
	    <div class="clearfix"></div>        
    </div>   	
</article>